dtkdeclarative (6.7.44.1) unstable; urgency=medium

  * Release 6.7.44

 -- yeshanshan <yeshanshan@uniontech.com>  Wed, 17 Jun 2026 11:23:44 +0800

dtkdeclarative (6.7.43) unstable; urgency=medium

  * Release 6.7.43

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Jun 2026 19:52:15 +0800

dtkdeclarative (6.7.42) unstable; urgency=medium

  * Release 6.7.42

 -- yeshanshan <yeshanshan@uniontech.com>  Wed, 20 May 2026 14:33:47 +0800

dtkdeclarative (6.7.41) unstable; urgency=medium

  * Release 6.7.41

 -- yeshanshan <yeshanshan@uniontech.com>  Fri, 08 May 2026 14:04:25 +0800

dtkdeclarative (6.7.40) unstable; urgency=medium

  * Release 6.7.40

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 23 Apr 2026 21:36:05 +0800

dtkdeclarative (6.7.39) unstable; urgency=medium

  * Release 6.7.39

 -- mhduiy <zhangkun2@uniontech.com>  Thu, 09 Apr 2026 21:20:33 +0800

dtkdeclarative (6.7.38) unstable; urgency=medium

  * Release 6.7.38

 --  yeshanshan <yeshanshan@uniontech.com>  Tue, 31 Mar 2026 11:02:55 +0800

dtkdeclarative (6.7.37) unstable; urgency=medium

  * Release 6.7.37

 -- mhduiy <zhangkun2@uniontech.com>  Wed, 25 Mar 2026 17:05:05 +0800

dtkdeclarative (6.7.36) unstable; urgency=medium

  * Release 6.7.36

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 12 Mar 2026 20:21:08 +0800

dtkdeclarative (6.7.35) unstable; urgency=medium

  * Release 6.7.35

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 05 Mar 2026 19:30:57 +0800

dtkdeclarative (6.7.34) unstable; urgency=medium

  * Release 6.7.34

 -- mhduiy <zhangkun2@uniontech.com>  Fri, 27 Feb 2026 14:59:03 +0800

dtkdeclarative (6.7.33) unstable; urgency=medium

  * Release 6.7.33

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 05 Feb 2026 17:28:27 +0800

dtkdeclarative (6.7.32) unstable; urgency=medium

  * Release 6.7.32

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 22 Jan 2026 16:53:50 +0800

dtkdeclarative (6.7.31) unstable; urgency=medium

  * Release 6.7.31

 --  yeshanshan <yeshanshan@uniontech.com>  Tue, 06 Jan 2026 13:16:39 +0800

dtkdeclarative (5.7.30) unstable; urgency=medium

  * Release 5.7.30

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 11 Dec 2025 20:58:25 +0800

dtkdeclarative (5.7.28) unstable; urgency=medium

  * Release 5.7.28

 -- mhduiy <zhangkun2@uniontech.com>  Thu, 04 Dec 2025 19:53:32 +0800

dtkdeclarative (5.7.27) unstable; urgency=medium

  * Release 5.7.27

 -- mhduiy <zhangkun2@uniontech.com>  Thu, 27 Nov 2025 19:39:28 +0800

dtkdeclarative (5.7.26) unstable; urgency=medium

  * Release 5.7.26

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:05:00 +0800

dtkdeclarative (5.7.25) unstable; urgency=medium

  * Release 5.7.25

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:46:36 +0800

dtkdeclarative (5.7.24) unstable; urgency=medium

  * Release 5.7.24

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:45:07 +0800

dtkdeclarative (5.7.23) unstable; urgency=medium

  * Release 5.7.23

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:39 +0800

dtkdeclarative (5.7.22) unstable; urgency=medium

  * Release 5.7.22

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:28:12 +0800

dtkdeclarative (5.7.21) unstable; urgency=medium

  * Release 5.7.21

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:47:37 +0800

dtkdeclarative (5.7.20) unstable; urgency=medium

  * Release 5.7.20

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 20:00:52 +0800

dtkdeclarative (5.7.19) unstable; urgency=medium

  * Release 5.7.19

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:12:58 +0800

dtkdeclarative (5.7.18) unstable; urgency=medium

  * Release 5.7.18

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:08:30 +0800

dtkdeclarative (5.7.17) unstable; urgency=medium

  * Release 5.7.17

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:06:58 +0800

dtkdeclarative (5.7.16) unstable; urgency=medium

  * fix: use applicationDisplayName instead of qAppName in
    DQMLGlobalObject
  * fix: remove redundant devicePixelRatio division in icon scaling
  * fix: correct icon image update logic
  * fix: update image source URL when source size changes

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:22:37 +0800

dtkdeclarative (5.7.15) unstable; urgency=medium

  * feat: Improve the design of SettingsDialog to support code generated
    by dconfig2cpp

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:53:35 +0800

dtkdeclarative (5.7.14) unstable; urgency=medium

  * fix: incorrect padding for MenuItem
  * fix: ScrollBar don't display when size is less
  * fix: refresh Delegate Model Slowly

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:52:19 +0800

dtkdeclarative (5.7.13) unstable; urgency=medium

  * fix: wrong z order of render buffer blitter

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:06:59 +0800

dtkdeclarative (5.7.12) unstable; urgency=medium

  * feat: using DConfig in the non-GUI thread
  * fix: missing FocusBorder for WindowButton in TitleBar
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp
  * fix: Popup background does not follow the theme changes
  * fix: StyledBehindWindowBlur crash in render thread

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:30:28 +0800

dtkdeclarative (5.7.11) unstable; urgency=medium

  * fix: double click doesn't work for TitleBar
  * chore: replacing a way to get listview's item
  * fix: delayed color updates for MenuItem
  * fix: incorrect width for Menu
  * feat: export DSysInfo for QML
  * fit: Add focus style
  * fix: MinimizeButton behavior mismatch with qwidget

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:48:40 +0800

dtkdeclarative (5.7.10) unstable; urgency=medium

  * fix: incorrect height for Menu when height is large

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:19:23 +0800

dtkdeclarative (5.7.9) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

dtkdeclarative (5.7.8) unstable; urgency=medium

  * fix: Menu's focus not be clean
  * chore: drop shadow for BoxPanel temporarily

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:32 +0000

dtkdeclarative (5.7.7) unstable; urgency=medium

  * fix: incorrect registering way for qt6
  * fix: incorrect Highlight for Menu
  * fix: item_checked icon was clipped

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:39 +0000

dtkdeclarative (5.7.6) unstable; urgency=medium

  * fix: arrowlistview not clip
  * fix: lineedit rightpadding to small
  * fix: image cache cleared
    Thanks to Yixue Wang
  * chore: remove version of imported uri for qt6
  * fix: access nullptr when app exited
  * fix: itemdelegate icon flashed
  * fix: incorrect scaling of icons under Treeland
  * fix: adjust UI for MenuItem
  * fix: adjust UI for Menu and ComboBox
  * feat: support to flow system settings for scrollBarPolicy

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 06:46:45 +0000

dtkdeclarative (5.7.5) unstable; urgency=medium

  * chore: typo for QT_VERSION
  * fix: StyledBehindWindowBlur blur failure
  * fix: ItemDelegate/Checkdelegate hover background missing
  * feat: Export the alignment property of Combobox

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:54 +0000

dtkdeclarative (5.7.4) unstable; urgency=medium

  * fix: memory leak
  * fix: combobox highlight missing
  * fix: combobox does not display content
  * fix: Boxshadow displays abnormally in fractional scaling scenarios
  * fix(build): chameleon version 1.0

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:46 +0000

dtkdeclarative (5.7.3) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

dtkdeclarative (5.7.2) unstable; urgency=medium

  * fix: StyledBehindWindowBlur crash in render thread
  * fix: Adjust menu styles

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000

dtkdeclarative (5.7.1) unstable; urgency=medium

  * feat: Use normal wrap mode instead of WordWrap for ToolTip.Text(Bug: 271423)
  * fix: the default icon is displayed incorrectly when zooming(Bug: 277471)
  * fix: shaders conflicting in qt6

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 16 Oct 2024 03:30:45 +0000

dtkdeclarative (5.0.35) unstable; urgency=medium

  * release 5.0.35

 -- Mike Chen <chenke@deepin.org>  Mon, 23 Sep 2024 11:14:20 +0800

dtkdeclarative (5.6.34) unstable; urgency=medium

  * feat: support to change window effects(Issue: https://github.com/linuxdeepin/developer-center/issues/10322)
  * fix: can't move dialog window(Issue: #190)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 20 Aug 2024 05:03:51 +0000

dtkdeclarative (5.6.32) unstable; urgency=medium

  * fix: DCiicon has aliasing when using base64 data(Issue: https://github.com/linuxdeepin/developer-center/issues/8941)
  * fix: Menu is not blurry enough, and the arrow position is incorrect(Issue: https://github.com/linuxdeepin/developer-center/issues/8631)
  * fix: the ItemViewport's corners is not smooth

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

dtkdeclarative (5.6.31) unstable; urgency=medium

  * fix: modify the SearchEdit style(Issue: https://github.com/linuxdeepin/developer-center/issues/8697)
  * fix: width of insideboxborder(Issue: https://github.com/linuxdeepin/developer-center/issues/8530)
  * fix: added blurMultiplier adjustment(Issue: https://github.com/linuxdeepin/developer-center/issues/9374)
  * chore: invalid icon use application-x-desktop

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

dtkdeclarative (5.6.30) unstable; urgency=medium

  * fix: assert when radius is 0 in transparent window(Issue: https://github.com/linuxdeepin/developer-center/issues/8668)
  * fix: incomplete display for menu(Issue: https://github.com/linuxdeepin/developer-center/issues/8472)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

dtkdeclarative (5.6.29) unstable; urgency=medium

  * fix: can't display local file for DciIcon

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:53 +0000

dtkdeclarative (5.6.28) unstable; urgency=medium

  * chore: incorrect font for SearchEdit's indicator text(Issue: https://github.com/linuxdeepin/developer-center/issues/8040)
  * chore: Adjusting the transparency of the scrollbar
    Thanks to zhangkun(Issue: https://github.com/linuxdeepin/developer-center/issues/8049)
  * fix: icon blurry when half aligned
  * chore: add margins for Popup with window's edges
  * fix: lost user settings when Handler is equal user settings(Issue: https://github.com/linuxdeepin/developer-center/issues/7647)
  * feat: support to disable shadow for FloatingPanel
  * fix: crash at DQuickItemViewport::updatePaintNode
  * fix: set shadowOffset when using DWindow
  * feat: add "blurEnabled" property to BehindWindowBlur
  * fix: remove debug code
  * fix: QSGRenderNode::matrix is error if the item in BackdropBlitter
  * fix: search icon not visible(Issue: https://github.com/linuxdeepin/developer-center/issues/8306)
  * fix: mask area exist two line for viewport(Issue: https://github.com/linuxdeepin/developer-center/issues/8313)
  * feat: add "compositionMode" property in ItemViewport
  * fix: inconsistent implicit size in dci icon

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:45 +0000

dtkdeclarative (5.6.27) unstable; urgency=medium

  * chore: settings dialog navigation font size tweak(Issue: https://github.com/linuxdeepin/developer-center/issues/7086)
  * fix: incorrect color type
  * fix: incorrect color type(Issue: https://github.com/linuxdeepin/developer-center/issues/6841)
  * chore: update entry_clear.dci(Influence: )
  * fix: incorrect control for ColorSelector
  * refact: export asynchronous property to user
  * chore: scrollbar hover color tweak(Issue: https://github.com/linuxdeepin/developer-center/issues/7784)
  * fix: support qt 6.7
  * fix: typo and uninitialized asynchronous property
  * fix: incorrect text color for MenuItem
  * fix: adjust style for HighlightPanel
  * fix: can't set placeholder text color for SearchEdit
  * fix: incorrect control themetype for ColorSelector(issue: 7952)
  * fix: build on Qt 6.7
  * feat: add BackdropBlitter on Qt6
  * feat: use BackdropBlitter for InWindowBlur on Qt6
  * chore: change theme type for exhibition
  * feat: export cache property to user
  * fix: not initialized for BehindWindowBlur
  * fix: duplicate updates of palette(Issue: https://github.com/linuxdeepin/developer-center/issues/7826)
  * fix: dci icon not centered(Issue: https://github.com/linuxdeepin/developer-center/issues/7941)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:37 +0000

dtkdeclarative (5.6.26) unstable; urgency=medium

  * feat: add corners for BoxShadow
  * fix: warning for insideBorderColor is invalid
  * fix: missing initialization value for ShadowConfig
  * fix: MenuItem can't be highlight by keyboard
  * fix: incorrect palette in ColorSelector
  * chore: keep consistent highlight color in different themes
  * feat: support to specify theme type for window

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:35 +0000

dtkdeclarative (5.6.25) unstable; urgency=medium

  * fix: can't disable paste(Issue: https://github.com/linuxdeepin/developer-center/issues/7052)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:26 +0000

dtkdeclarative (5.6.24) unstable; urgency=medium

  * fix: icon doesn't change when iconTheme changed
  * feat: support base64 format for icons
  * fix: build on qt5
  * fix: adjust style for launchpad used
  * fix: adjust style for launchpad used

 -- YeShanShan <yeshanshan@deepin.org>  Wed, 31 Jan 2024 18:54:10 +0800

dtkdeclarative (5.6.23) unstable; urgency=medium

  * feat: support to override for external caller
  * feat: close popup or menu on window deactivate
  * feat: Optimize flags of RenderNode
  * fix: failure passing implicit width
  * chore: enable blur for DialogTitleBar
  * fix: Multi options selected for Combobox(Issue: https://github.com/linuxdeepin/developer-center/issues/6187)
  * Revert "fix: failure passing implicit width"
  * chore: TypeError warning
  * chore: TypeError warning

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 19 Jan 2024 14:18:56 +0800

dtkdeclarative (5.6.22) unstable; urgency=medium

  * fix: no translations for context menu(Issue: https://github.com/linuxdeepin/developer-center/issues/6712)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Jan 2024 02:30:59 +0000

dtkdeclarative (5.6.21) unstable; urgency=medium

  * chore: remove dtk-exhibition's desktop in debian
  * chore: remove dtk-exhibition's dekstop in cmake
  * fix: DciIcon can't load icon by source
  * fix: find Qt Core before QuickControls2
  * fix: insecure RUNPATH in arch
  * fix: can't find so
  * feat: add workflow to sync dtk6
  * fix: Wrong highlight color in dark theme(Issue: https://github.com/linuxdeepin/developer-center/issues/6015)
  * fix: missing DeclarativePropertiesTarget
  * fix: Wrong highlight color in dark theme (Qt6)(Issue: #6015)
  * fix: There isn't context menu in TextField(Issue: https://github.com/linuxdeepin/developer-center/issues/6521)
  * Revert "fix: insecure RUNPATH in arch"
  * fix: insecure RUNPATH in arch
  * chore: Modify dependecy version in linglong.yaml
  * chore: Modify field value (kind) in linglong.yaml
  * chore: Update extra_args and depends in linglong.yaml
  * fix: Menu's radius following system(Issue: https://github.com/linuxdeepin/developer-center/issues/6380)
  * fix: DialogWindow abnormal(Issue: https://github.com/linuxdeepin/developer-center/issues/6654)
  * refact: modify icon's size to 24(Issue: https://github.com/linuxdeepin/developer-center/issues/6291)
  * fix: blur abnormal in qt6(Issue: https://github.com/linuxdeepin/developer-center/issues/6722)
  * fix: Menu's rectangle background(Issue: https://github.com/linuxdeepin/developer-center/issues/6363)
  * Revert "fix: Menu'popup can only work once"

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 09 Jan 2024 01:45:44 +0000

dtkdeclarative (5.6.20) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 28 Nov 2023 05:40:52 +0000

dtkdeclarative (5.6.19) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 23 Oct 2023 07:33:18 +0000

dtkdeclarative (5.6.18) unstable; urgency=medium

  * fix: NavigationTitle is partially obscured(Issue: #44)
  * fix: PlaceholderText out of range(Issue: #42)
  * chore: Update README
  * chore: correct typos in docs of Settings.ComboBox
    Thanks to Felix Yan

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 18 Oct 2023 06:01:44 +0000

dtkdeclarative (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:17:44 +0800

dtkdeclarative (5.6.16) unstable; urgency=medium

  * feat: Adapt to qt6.4.2
  * feat: Support install lib and plugins for qt6
  * feat: Support install for example and template in qt6
  * fix: dpkg-buildpackage faild in qt6
  * fix: PKGBUILD qml_install_dir needs to be override

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkdeclarative (5.6.15) unstable; urgency=medium

  * feat: add UT for ButtonBox
  * feat: add UT for ArrowBoxPath
  * chore: add unit test ut_dquickglow
  * feat: Add UT for DSoftwareRoundedImageNode
  * feat: Add UT for DBlitFramebufferNode
  * chore: add unit test ut-iconlabel
  * feat: Add toImage function for DBlitFramebufferNode
  * chore: Can't support alpha for simpleTexture in UT
  * chore: add unit test ut-iconimage
  * chore: add unit test ut-dciiconimage
  * feat: Add UT for MaskEffectNode
  * chore: add unit test ut_dquickdciicon
  * fix: Compiling error for missing dependency
  * feat: Add UT for DSGBlurNode
  * fix: crash in ut_dquickdciiconimage
  * feat: Add UT for AppLoader-plugin
  * fix: PDS is not defined
  * chore: Remove some file for recoverage
  * chore: add unit test ut-contextMenuWindow
  * feat: Add UT for BehindWindowBlur
  * feat: Add UT for DQuickInWindowBlur
  * chore: Add unit test ut-dquickcoloroverlay
  * feat: Add UT for DQuickItemViewport
  * fix: UT failed sometimes
  * fix: UT failed in qt6
  * chore: Add unit test ut_dquickopacitymask
  * fix: UT failed in qt6 and Software renderer backend
  * fix:  DQuickItemViewport is error in software renderer
  * chore: Complementary unit test ut-globalobject
  * fix: UT failed in qt6
  * chore(UT): Wait for blur window exposed
  * fix: UT failed when unreset palette
  * feat: Add UT for DQuickBlitFrameBuffer
  * fix: PageIndicator is invalid
  * feat: Add UT to determine whether QML can load successfully
  * fix: UT failde sometimes
  * chore: Complementary unit test ut-dconfigwrapper
  * feat: Adapt to switch qt6 and qtf for qml-app-template

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 14:06:39 +0800

dtkdeclarative (5.6.14) unstable; urgency=medium

  * fix: typo
    Thanks to student-ice
  * feat: Support switching qt5 and qt6 for cmake(Issue: #87)
  * fix: Unsupported type for property assignment(Issue: #87)
  * fix: Crashed while debugging in Qt
  * feat: Support compiling between Qt5 and Qt6(Issue: #87)
  * feat: Support QQuickPalette in Qt6(Issue: #87)
  * feat: Forward ContentMenuEvent in Qt6(Issue: #87)
  * fix: Qt.color is invalid in qt5(Issue: #87)
  * fix: Imcompatible of the import syntax of Qt6 with Qt5(Issue: #87)
  * fix: Templates's incompilable
  * fix: Final property
  * fix: GraphicalEffect has been droped
  * fix: Incompilable syntax
  * fix: Report Network error in qt6(Issue: #87)
  * fix: Missing Macro for DColor in qt6(Issue: #87)
  * Fix: Incompilable syntax for qt6(Issue: #87)
  * Fix: Adapt to qt6 for dtk-exhibition(Issue: #87)
  * Chore: Rename EnableDtk to EnableQt(Issue: #87)
  * Fix: Adapt to qt6 for examples(Issue: #87)
  * fix: Syntax error in qt6(Issue: #87)
  * fix: ChameleonStyle invalid in qt6(Issue: #87)
  * feat: Migrate qt5 to qt6 for QSGTexture(Issue: #87)
  * feat: Forward shaders in qt6(Issue: #87)
  * feat: Separating qt5 and qt6 for `src`(Issue: #87)
  * feat: Add macro registing to Qt Meta system(Issue: #87)
  * refactor: Adjust project structure for qt6(Issue: #87)
  * feat: Adapt the syntax of `qml import` in qt6(Issue: #87)
  * fix: TitleBar can't drag in qt6(Issue: #87)
  * chore: ignore doxygen-theme folder
    Thanks to LyYeeeYuwu(Issue: #99)
  * refactor: Remove PixelMetric.js
  * fix: Remove AboutAction's assignment
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * fix: Missing dtkdeclarative_config.h in dev package
  * refactor: Deprecate interfaces about PlatformTheme
  * chore: commit SytledArrowShapeBlur in example
  * chore: add a log for example
  * fix: test-recoverage doesn't work
  * feat: Add unit-test for DAppLoader
  * chore: put gen header to CMAKE_CURRENT_BINARY_DIR
  * fix: examples not use qml plugin in source
  * chore: add icon resouce to example
  * feat: Add unit-test for qml
  * fix: unit-test error for color-selector
  * fix: Missing files to install
  * fix: Missing Qml registration info in test project
  * feat: Add ut for DQuickRectangle
  * feat: Add ut for DQuickWindow and DColor
  * fix: QuickWindowAttached's enable maybe wrong
  * feat: Add running property for WaterProgressBar
  * feat: Add ut for WaterProgressBar
  * fix: UT memory leak
  * typo: typo error
  * feat: Add UT for KeySequence
  * feat: Add UT for SettingsContainer
  * fix: Missing dependency for dtkdeclarative
  * feat: Add UT for ObjectModelProxy
  * feat: Add UT for MessageManager
  * fix: Access null object for Action's object
  * fix: UT memory leak

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:39 +0000

dtkdeclarative (5.6.12) unstable; urgency=medium

  * fix: a missing library link
    Thanks to hillwoodroc
  * feat: Use find_program to find qhelpgenerator and qmlcachegen
    Thanks to rewine
  * fix: Missing plugin.json for qml-app-template
  * fix: qml-app-template wizard failed
  * fix: Calculation error in DialogTitleBar's width
  * fix: RadioButton's text color error(Issue: https://github.com/linuxdeepin/dtk/issues/19)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 15 May 2023 13:51:23 +0800

dtkdeclarative (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * FIX dtk#43 dtk#47 dtk#48 dtk#49

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:01:17 +0800

dtkdeclarative (5.6.9) unstable; urgency=medium

  * Release 5.6.9
  * Fix #85
  * Fix Crashed when reset static property
  * Fix #117

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 04 Apr 2023 17:06:37 +0800

dtkdeclarative (5.6.8) unstable; urgency=medium

  * Allow custom QML plugin install path
  * Modify AboutDialog's style
  * Fix application crashed when WindowButton unload
  * Change docs from qdoc to doxygen and update docs
  * Change project manager tool from qmake to cmake

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 16:06:59 +0800

dtkdeclarative (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 20 Dec 2022 11:36:24 +0800

dtkdeclarative (0.0.1) unstable; urgency=medium

  * Initial release.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 01 Jul 2020 14:14:35 +0800
